Extending Qt Creator Manual | TypeNode

Extending Qt Creator Manual 4.7.1

# TypeNode Class

(Debugger::Internal::TypeNode)

Inherits: | Debugger::Internal::ParseTreeNode

- List of all members, including inherited members

## Public Types

typedef | Ptr
enum | Type { QualifiedType, PointerType, ReferenceType, RValueType, ..., OtherType }

## Public Functions

| TypeNode(Debugger::Internal::GlobalParseState *parseState)
int | toByteArray() const
Debugger::Internal::TypeNode::Type | type() const

- 7 public functions inherited from Debugger::Internal::ParseTreeNode

## Static Public Members

bool | mangledRepresentationStartsWith(char c)

- 1 static public member inherited from Debugger::Internal::ParseTreeNode

### Additional Inherited Members

- 2 protected functions inherited from Debugger::Internal::ParseTreeNode

## Member Type Documentation

### typedef TypeNode::Ptr

### enum TypeNode::Type

## Member Function Documentation

### TypeNode::TypeNode(Debugger::Internal::GlobalParseState *parseState)

Default constructs an instance of TypeNode.

### `[static]` bool TypeNode::mangledRepresentationStartsWith(char c)

### int TypeNode::toByteArray() const

### Debugger::Internal::TypeNode::Type TypeNode::type() const